Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
[Java] Interface PublishArtifact

    org.gradle.api.Buildable
      org.gradle.api.artifacts.PublishArtifact

All Superinterfaces:
  Buildable

    public interface PublishArtifact
    extends Buildable

A `PublishArtifact` is an artifact produced by a project.

Authors:
  Hans Dockter

Method Summary
`java.lang.String` | `getClassifier()` Returns the classifier of this published artifact, if any.
`java.util.Date` | `getDate()` Returns the date that should be used when publishing this artifact.
`java.lang.String` | `getExtension()` Returns the extension of this published artifact.
`java.io.File` | `getFile()` Returns the file of this artifact.
`java.lang.String` | `getName()` Returns the name of the artifact.
`java.lang.String` | `getType()` Returns the type of the published artifact.

Methods inherited from interface Buildable
getBuildDependencies

Method Detail

### getClassifier

    public java.lang.String getClassifier()

  Returns the classifier of this published artifact, if any.
  Returns:
    The classifier. May be null.

### getDate

    public java.util.Date getDate()

  Returns the date that should be used when publishing this artifact. This is used in the module descriptor accompanying this artifact (the ivy.xml). If the date is not specified, the current date is used. If this artifact is published without an module descriptor, this property has no relevance.
  Returns:
    The date. May be null.

### getExtension

    public java.lang.String getExtension()

  Returns the extension of this published artifact. Often the extension is the same as the type, but sometimes this is not the case. For example for an ivy xml module descriptor, the type is ivy and the extension is xml.
  Returns:
    The extension. Never null.

### getFile

    public java.io.File getFile()

  Returns the file of this artifact.
  Returns:
    The file. Never null.

### getName

    public java.lang.String getName()

  Returns the name of the artifact.
  Returns:
    The name. Never null.

### getType

    public java.lang.String getType()

  Returns the type of the published artifact. Often the type is the same as the extension, but sometimes this is not the case. For example for an ivy xml module descriptor, the type is ivy and the extension is xml.
  Returns:
    The type. Never null.

Groovy Documentation